## icedtea-web 1.1.3

=== debian/changelog ===
icedtea-web (1.1.3-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.
  * Fix non multiarch installation.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2011 15:46:00 +0200

icedtea-web (1.1.3-1) unstable; urgency=low

  * New upstream release:
    - Plug-in: PR782: Support building against npapi-sdk as well.
    - Common: PR794: IcedTea-Web does not work if a Web Start app jar has a
      Class-Path element in the manifest (e.g. Elluminate)
  * d/javaws.policy: Use AllPermission for netx.jar (as in Oracle JDK). 
  * Add myself as Uploader.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Sep 2011 23:16:26 +0200

icedtea-web (1.1.2-1) unstable; urgency=low

  * Team upload
  * New upstream release:
    - PR769: IcedTea-Web does not work with some ssl sites with OpenJDK7.
    - Javaws cannot use proxy settings from Firefox.
    (Closes: #640748, #640736, #641038)
  * Drop the dependency on xulrunner (Closes: #636514, #606234, #601779)
  * Fix FTBFS due to the switch to multiarch (Closes: #641798)

  [ Damien Raude-Morvan ]
  * Switch to 3.0 (quilt) format.
  * d/javaws.policy: Allow RuntimePermission for javaws to access
    sun.security.util package.
  * d/patches/javaws_change_java_policy.diff: Loading of javaws.policy.
  * d/rules: Install javaws.policy into /etc/icedtea-web/.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 22 Sep 2011 10:48:22 +0200

icedtea-web (1.1.1-1ubuntu2) oneiric; urgency=low

  * Updates from the 1.1 branch:
    - PR749: sun.applet.PluginStreamHandler#handleMessage(String) really slow.
    - PR768: Signed applets/Web Start apps don't work with OpenJDK7 and up.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Aug 2011 22:00:46 +0200

icedtea-web (1.1.1-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jul 2011 13:43:28 +0200

icedtea-web (1.1.1-1) unstable; urgency=high

  * Upload to unstable.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jul 2011 13:19:00 +0200

icedtea-web (1.1.1-0ubuntu1) natty-security; urgency=high

  * IcedTea-Web 1.1.1 release.
    - CVE-2011-2513: Home directory path disclosure to untrusted applications.
    - CVE-2011-2514: Java Web Start security warning dialog manipulation.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jul 2011 12:51:46 +0200

icedtea-web (1.1-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jun 2011 12:03:52 +0200

icedtea-web (1.1-1) unstable; urgency=low

  * IcedTea-Web 1.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jun 2011 11:58:59 +0200

icedtea-web (1.1~20110608-1ubuntu1) oneiric; urgency=low

  * Rebuild the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jun 2011 10:39:20 +0200

icedtea-web (1.1~20110608-1) unstable; urgency=low

  * Update to hg 20110608, taken from the icedtea-web-1.1 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jun 2011 22:11:08 +0200

icedtea-web (1.1~20110530-1ubuntu1) oneiric; urgency=low

  * Regenerate the control file.
  * Add other browsers as an alternative to firefox depends. LP: #766559.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 May 2011 22:25:14 +0200

icedtea-web (1.1~20110530-1) unstable; urgency=low

  * Update to hg 20110530, taken from the icedtea-web-1.1 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 May 2011 22:08:47 +0200

icedtea-web (1.1~20110510-1) unstable; urgency=low

  * Update to hg 20110510, taken from the icedtea-web-1.1 release branch.
  * Adjust conflicts to the OpenJDK version in unstable.
    Closes: #627779, #626605.
  * Make transitional package architecture independent. Closes: #627745.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 May 2011 14:29:42 +0200

icedtea-web (1.1~20110421-1) unstable; urgency=low

  * Update to hg 20110421, taken from the icedtea-web-1.1 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Apr 2011 19:20:32 +0200

icedtea-web (1.1~20110420-1) experimental; urgency=low

  * Upload to experimental.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2011 14:33:31 +0200

icedtea-web (1.1~20110420-0ubuntu1) natty; urgency=low

  * Update to hg 20110420.
    - Removes non-distributable pdf documents.
  * Update debian/copyright.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Apr 2011 14:05:16 +0200

icedtea-web (1.1~20110406-0ubuntu2) natty; urgency=low

  * Reapply xulrunner → firefox-dev change from 1.1~20110320-0ubuntu2, which
    were overwritten in the previous upload.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2011 08:47:28 +0200

icedtea-web (1.1~20110406-0ubuntu1) natty; urgency=low

  * Fix typo in icedtea-netx postinst to install the javaws alternative.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Apr 2011 13:10:44 +0200

icedtea-web (1.1~20110320-0ubuntu2) natty; urgency=low

  * Switch build-depends to firefox-dev for natty. xulrunner is
    being demoted from main  (LP: #740815)
    - update debian/rules
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 04 Apr 2011 11:07:15 +0100

icedtea-web (1.1~20110320-0ubuntu1) natty; urgency=low

  * Update to hg 20110320.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Feb 2011 12:57:25 +0100

icedtea-web (1.0~20110122-1) experimental; urgency=low

  * Upload to experimental.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Jan 2011 13:53:14 +0100

icedtea-web (1.0~20110122-0lucid1) lucid; urgency=low

  * Update to hg 20110122.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jan 2011 21:21:29 +0100

icedtea-web (1.0~20101223-0ubuntu3) natty; urgency=low

  * Fix the armel build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Dec 2010 12:31:32 +0100

icedtea-web (1.0~20101223-0ubuntu2) natty; urgency=low

  * Build the plugin on armel.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Dec 2010 11:51:37 +0100

icedtea-web (1.0~20101223-0ubuntu1) natty; urgency=low

  * Update to hg 20101223.


