## icedtea-web 1.1.4

=== debian/changelog ===
icedtea-web (1.1.4-1) unstable; urgency=medium

  * New upstream release with security fix :
    - RH742515, CVE-2011-3377: IcedTea-Web: second-level domain subdomains
      and suffix domain SOP bypass

  [ Sylvestre Ledru ]
  * Fix a typo in the description. (Closes: #644538)

  [ Damien Raude-Morvan ]
  * Compress manpages. (Closes: #642975)

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 11 Nov 2011 12:21:32 +0100

icedtea-web (1.1.3-2) unstable; urgency=low

  * Team upload
  * Sync from ubuntu
  * Explicit the dependency on the OpenJDK (Closes: #644045, #644094)
  * itweb-settings manpage added

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2011 13:17:52 +0200
