=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), firefox-dev, openjdk-6-jdk (>= 6b23~pre9~), zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
+Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-6-jdk (>= 6b23~pre10~), zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
 Standards-Version: 3.9.2
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
@@ -11,7 +11,7 @@
 
 Package: icedtea-netx
 Architecture: any
-Depends: ${netx:Depends}, openjdk-6-jre (>= 6b23~pre9~), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${netx:Depends}, openjdk-6-jre (>= 6b23~pre10~), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
 Replaces: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
 Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
@@ -49,3 +49,15 @@
  browsers that support the NPAPI.
  .
  This is a dependency package, it can be safely removed after upgrade.
+
+Package: icedtea-netx-common
+Architecture: all
+Depends: openjdk-6-jre (>= 6b23~pre9~), ${misc:Depends}
+Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
+Replaces: icedtea-netx (<< 1.1.2-1~), icedtea-plugin (<< 1.1.2-1~), openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
+Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
+ NetX provides a drop-in replacement for javaws (Java Web Start). Since
+ upstream NetX is dormant, IcedTea is hosting and modifying the sources
+ in the IcedTea-Web directory.
+ .
+ This package contains the architecture independent files.
