=== debian/rules ===
--- 
+++ 
@@ -245,10 +245,9 @@
 
 	mv $(d_netx)/usr/bin/javaws $(d_netx)/$(jdk_home)/jre/bin/
 	mv $(d_netx)/usr/share/man/man1/javaws.1 $(d_netx)/$(jdk_home)/jre/man/man1/
-
-	dh_link -p$(p_netx) \
-	  /$(jdk_home)/jre/bin/javaws /$(jdk_home)/bin/javaws \
-	  /$(jdk_home)/jre/man/man1/javaws.1.gz /$(jdk_home)/man/man1/javaws.1.gz
-
-	mv $(d_netx)/usr/lib/IcedTeaPlugin.so \
-		$(d_plug)/$(jdk_home)/jre/lib/$(archdir)/
+	mv $(d_netx)/usr/bin/itweb-settings $(d_netx)/$(jdk_home)/jre/bin/
+	mv debian/itweb-settings.1 $(d_netx)/$(jdk_home)/jre/man/man1/
+	
+	# compress manpages
+	find $(d_netx)/$(jdk_home)/jre/man/man1/ -type f ! -type l | xargs gzip -9v
+
