## icedtea-web 1.2

=== debian/changelog ===
icedtea-web (1.2-2ubuntu1.3) precise-security; urgency=low

  * SECURITY UPDATE: Fix denial of service in exception handling
    - debian/patches/icedtea-web-CVE-2012-4540.patch: adjust off by one in
      exception string storage in IcedTeaScriptablePluginObject.cc. Also fix
      two memory leaks.
    - CVE-2012-4540

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 06 Nov 2012 06:56:27 -0600

icedtea-web (1.2-2ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/fix-plugin-error-on-chromium.patch: fix plugin
    table initialization to check only that the subset of hooks that
    it uses exists. (LP: #1025553)
  * debian/control, debian/control.common: adjust so that
    icedtea-netx-common replaces icedtea-plugin in oneiric
    (LP: #1002516)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 03 Aug 2012 17:09:06 -0700

icedtea-web (1.2-2ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: uninitialized pointer use flaw
    - debian/patches/icedtea-web-CVE-2012-3422.patch: check for empty
      instance_to_id_map hash and return error if so.
    - CVE-2012-3422
  * SECURITY UPDATE: incorrect handling of non NULL terminated strings
    - debian/patches/icedtea-web-CVE-2012-3423.patch: ensure NPVariant
      NPStrings are NULL terminated.
    - CVE-2012-3423
  * debian/control, debian/control.common: add replaces on icedtea-net
    and icedtea-6-plugin for conflicting files in older releases,
    caused by icedtea-web security pocket backport to those releases
    in conjunction with openjdk-6 security backport (LP: #1024708)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 27 Jul 2012 23:14:25 -0700

icedtea-web (1.2-2ubuntu1) precise; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Apr 2012 16:44:35 +0200

icedtea-web (1.2-2) unstable; urgency=low

  * Fix interpreter path and classpath for OpenJDK7. Closes: #663895.
  * Update to the 1.2 release branch 20120409.
    - Fix PR895 (IcedTea-Web searches for missing classes on each
      loadClass or findClass).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Apr 2012 16:15:17 +0200

icedtea-web (1.2-1ubuntu1) precise; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Mar 2012 02:09:38 +0100

icedtea-web (1.2-1) unstable; urgency=low

  * IcedTea-Web 1.2 release.
  * Make icedtea-netx-common multi-arch installable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Mar 2012 01:13:55 +0100

icedtea-web (1.2~pre3-3) unstable; urgency=low

  * Really use OpenJDK 7 for the icedtea-7 plugin. Closes: #662239.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Mar 2012 23:47:57 +0100

icedtea-web (1.2~pre3-2) unstable; urgency=low

  * Fix another quoting issue. Closes: #662039.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Mar 2012 13:18:02 +0100

icedtea-web (1.2~pre3-1ubuntu1) precise; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Mar 2012 12:35:35 +0100

icedtea-web (1.2~pre3-1) unstable; urgency=low

  * Update to hg 20120303, taken from the icedtea-web-1.2 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Mar 2012 12:30:45 +0100

icedtea-web (1.2~pre2-1ubuntu2) precise; urgency=low

  * debian/rules: Fix quoting issue.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Feb 2012 14:38:24 +0100

icedtea-web (1.2~pre2-1ubuntu1) precise; urgency=low

  * icedtea-netx-common: Drop dependency on OpenJDK. Closes: #661428.
  * Robustify maintainer scripts. Closes: #661424.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Feb 2012 10:53:13 +0100

icedtea-web (1.2~pre2-1) unstable; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Feb 2012 17:48:03 +0100

icedtea-web (1.2~pre2-0ubuntu1) precise; urgency=low

  * Update to hg 20120226, taken from the icedtea-web-1.2 release branch.
  * Fix icedtea-7-plugin update.
  * Apply proposed patch for PR820, crashes with Firefox 10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Feb 2012 17:26:04 +0100

icedtea-web (1.2~pre1-0ubuntu1) precise; urgency=low

  * Update to hg 20120203, taken from the icedtea-web-1.2 release branch.
  * Build separate plugin packages for OpenJDK 6 and OpenJDK 7, needed
    to provide the path to the runtime and the mime description in the plugin.
    Closes: #646843.
  * Use icedtea-<jre version>-plugin as the name for both plugin packages.
  * Remove icedtea-web-1.1.4-npapi-fix.patch, fixed upstream.
  * Pass -n to gzip when compressing manpages to be Multi-Arch: same safe.
  * Build multiarch packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Feb 2012 18:19:46 +0100
