## icedtea-web 1.2.3

=== debian/changelog ===
icedtea-web (1.2.3-0ubuntu0.12.04.4) precise-security; urgency=medium

  * SECURITY UPDATE: info disclosure via insecure temporary directory use
    - debian/patches/CVE-2013-6493.patch: create safe directory in
      plugin/icedteanp/IcedTeaNPPlugin.cc, added helper functions to
      plugin/icedteanp/IcedTeaPluginUtils.*.
    - CVE-2013-6493
  * fix ftbfs with newer xulrunner:
    - debian/rules: added -std=gnu++0x to CXXFLAGS

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Mar 2014 16:03:01 -0500

icedtea-web (1.2.3-0ubuntu0.12.04.3) precise-security; urgency=low

  * debian/patches/work-with-icedtea-8004584.patch: work with OpenJDK build 25

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Jul 2013 13:27:03 -0500

icedtea-web (1.2.3-0ubuntu0.12.04.2) precise-security; urgency=low

  * Revert PR1161: X509VariableTrustManager does not work correctly with
    OpenJDK7. The fix for PR1161 is needed for IcedTea 2.3.x and not 1.12.
    We need to keep this patch reverted as long as we build icedtea-web
    against 1.12 (LP: #1171506)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 22 Apr 2013 16:47:22 -0500

icedtea-web (1.2.3-0ubuntu0.12.04.1) precise-security; urgency=low

  * IcedTea-Web 1.2.3 release.
  * Security Updates:
    - CVE-2013-1927: fixed gifar vulnerability.
    - CVE-2013-1926: Class-loader incorrectly shared for applets with same
      relative-path.
  * Common:
    - PR1161: X509VariableTrustManager does not work correctly with OpenJDK7.
  * NetX:
    - PR580: http://www.horaoficial.cl/ loads improperly.
  * Plugin:
    - PR1157: Applets can hang browser after fatal exception.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 01:06:18 +0200

icedtea-web (1.2.2-0ubuntu1) precise-proposed; urgency=low

  * Update to the 1.2.2 bug fix release. LP: #1131479.
    - Includes security fixes uploaded earlier.
    - Bug fixes:
      - PR1106: Buffer overflow in plugin table.
      - PR898: signed applications with big jnlp-file doesn't start (webstart
        affect like "frozen").
      - PR811: javaws is not handling urls with spaces (and other characters
        needing encoding) correctly.
      - S816592: icedtea-web not loading GeoGebra java applets in Firefox
        or Chrome.
      - PR863: Error passing strings to applet methods in Chromium.
      - PR895: IcedTea-Web searches for missing classes on each loadClass
        or findClass.
      - PR518: NPString.utf8characters not guaranteed to be nul-terminated.
      - Disambiguate signed applet security prompt from certificate warning.
  * Search both OpenJDK-6 and OpenJDK-7 when starting itweb-settings.
    LP: #1078424.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Feb 2013 01:38:16 +0100
