=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
 PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
 PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
+
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) -std=gnu++0x
 
 distribution := $(shell lsb_release --id --short)
 distrel := $(shell lsb_release --codename --short)
@@ -242,6 +244,3 @@
 	dh_clean -k
 	dh_installdirs -p$(p_netx) \
 		$(jdk_home)/bin \
-		$(jdk_home)/man/man1 \
-		$(jdk_home)/jre/bin \
-		$(jdk_home)/jre/man/man1
